local old_init = WeaponTweakData.init

function WeaponTweakData:init(tweak_data)
    old_init(self, tweak_data)
self.mac10.weapon_hold	= "scorpion"
self.pm9.weapon_hold	= "scorpion"
self.baka.weapon_hold	= "scorpion"
end